All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.form
Class PushButtonTag

    com.sas.taglib.servlet.tbeans.form.PushButtonTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class PushButtonTag

PushButtonTag is the tag handler class for the sas:PushButton custom tag . PushButtonTag is invoked by the JSP page to evaluate the sas:PushButton custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, PushButton, to execute the methods.

If you need to extend or modify the functionality of the sas:PushButton custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:PushButton custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `BasePushButton`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`accessKey, onBlur, onChange, onClick, onDblClick, onFocus, onKeyDown, onKeyPress, onKeyUp, onMouseDown, onMouseMove, onMouseOut, onMouseOver, onMouseUp, onSelect, styleClassPrefix, tabIndex`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`PushButtonTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes (type, label ) on the underlying Pushbutton object.
`int` | `doStartTag()` Processes the start tag for this instance.
`boolean` | `getEnabled()` Gets the enabled attribute of the PushButtonTag.
`java.lang.String` | `getOnSubmit()` Gets the onSubmit property (String) of the pushbutton.
`java.lang.String` | `getText()` Gets the label property (String) of the pushbutton.
`java.lang.String` | `getType()` Gets the type property (String).
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setEnabled(boolean enabled)` Sets the enabled attribute (boolean) of the PushButtonTag.
`void` | `setOnSubmit(java.lang.String onsubmit)` Sets the onSubmit event handler (String) of pushbutton.
`void` | `setText(java.lang.String label)` Sets the label property (String) of the pushbutton.
`void` | `setType(java.lang.String type)` Sets the type property (String).

Methods inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`getAccessKey, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleClassPrefix, getTabIndex, isEnabled, setAccessKey, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleClassPrefix, setTabIndex`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`doEndTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### PushButtonTag

    public PushButtonTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseFormElementBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setType

    public void setType(java.lang.String type)

  Sets the type property (String). The type String specifies the type of button to be used. Some valid values are: Reset, Submit

  Parameters:
    `type` - The type of button to be used.

### setText

    public void setText(java.lang.String label)

  Sets the label property (String) of the pushbutton. The label String specifies the label of the button.

  Parameters:
    `label` - The label of the PushButton.

### setOnSubmit

    public void setOnSubmit(java.lang.String onsubmit)

  Sets the onSubmit event handler (String) of pushbutton.

  Parameters:
    `onsubmit` - The onSubmit event handler to apply to the pushbutton.

### getType

    public java.lang.String getType()

  Gets the type property (String). The type String specifies the type of button to be used. Some valid values are: Reset, Submit

  Returns:
    the type String

### getText

    public java.lang.String getText()

  Gets the label property (String) of the pushbutton. The label String specifies the label of the button.

  Returns:
    the PushButton label

### getOnSubmit

    public java.lang.String getOnSubmit()

  Gets the onSubmit property (String) of the pushbutton.

  Returns:
    the onSubmit event handler of the pushbutton.

### setEnabled

    public void setEnabled(boolean enabled)

  Sets the enabled attribute (boolean) of the PushButtonTag. Valid values are: true, false.

  Overrides:
    `setEnabled` in class `BaseFormElementBodyTag`
  Parameters:
    `enabled` - The state of the PushButton element; "false" results in a disabled pushbutton.
  See Also:
    `BaseFormElementBodyTag.isEnabled()`

### getEnabled

    public boolean getEnabled()

  Gets the enabled attribute of the PushButtonTag.

  Returns:
    true if the pushbutton is enabled

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes (type, label ) on the underlying Pushbutton object.

  Overrides:
    `applyAttributes` in class `BaseFormElementBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.